EDIT - bug #8197

Deleting Media from Image Gallery View does not make view dirty
03/22/2019 02:22 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal Found in Version:

Description

... therefore one may think that the media is deleted but it is not after reload. This is dangerous therefore high priority

Associated revisions

Revision 02bb31ea - 03/22/2019 02:32 PM - Katja Luther

fix #8197: fix make name editor dirty if media is deleted

Revision 5e966d50 - 03/27/2019 02:40 PM - Katja Luther

ref #8197: fix delete of media in media view

History

#1 - 03/22/2019 02:32 PM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|02bb31eadabb7edfb3c3d155bb13ad967428aa56.

#2 - 03/22/2019 02:52 PM - Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.6

#3 - 03/22/2019 03:08 PM - Andreas Miuller

- Description updated

#4 - 03/26/2019 08:47 AM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

this should be fixed, please review.

#5 - 03/26/2019 03:38 PM - Patrick Plitzner
- Status changed from Resolved to Feedback

- Assignee changed from Patrick Plitzner to Katja Luther

Now the name editor is set to dirty but if it is closed without saving the media is removed anyways. So either the media is persistently deleted and no
dirty flag is set OR the editor is set to dirty and the media is only deleted when saved.

#6 - 03/27/2019 02:45 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Patrick Plitzner

this should be fixed now. The operation is executed while saving now.

#7 - 03/27/2019 03:54 PM - Patrick Plitzner

- Status changed from Resolved to Closed
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/02bb31eada6b7edfb3c3d155bb13ad967428aa56

- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 50 to 100

works fine
